/*
 * vim: ts=4 nobackup
 */


#ifndef  __TIMER_H__
#define  __TIMER_H__


#include <stdint.h>


#define  NUM_TIMER_COUNTERS  16
#define  TIMER_MS(v)         (v / 5)


extern "C++" {
	namespace avelino {
		using namespace std;

		class Timer {
			public:
				static void init();
				static int16_t counter[NUM_TIMER_COUNTERS];
				static int8_t alloc();
				static void free(int8_t handle);
				static void __isr();
		};
	}
}

#endif  // __TIMER_H__
